<?xml version='1.0' encoding='utf-8' ?>
<xsl:stylesheet version="1.0"
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns:xalan="http://xml.apache.org/xslt"
   xmlns:rnif="http://www.rosettanet.org/RNIF/V02.00"
   exclude-result-prefixes="rnif">

<xsl:output
   	indent="yes"
   	xalan:indent-amount="3"
   	encoding="utf-8"
  	method="xml"
	doctype-system="DeliveryHeader_MS_V02_00.dtd"/>

<xsl:param name="MessageDateTime"/>

<xsl:template match="/">
<DeliveryHeader xmlns="http://www.rosettanet.org/RNIF/V02.00">
	<xsl:copy-of select="/rnif:DeliveryHeader/rnif:isSecureTransportRequired"/>
	<messageDateTime>
		<DateTimeStamp><xsl:value-of select="$MessageDateTime"/></DateTimeStamp>
	</messageDateTime>
	<messageReceiverIdentification>
		<xsl:copy-of select="/rnif:DeliveryHeader/rnif:messageSenderIdentification/rnif:PartnerIdentification"/>
	</messageReceiverIdentification>
	<messageSenderIdentification>
		<xsl:copy-of select="/rnif:DeliveryHeader/rnif:messageReceiverIdentification/rnif:PartnerIdentification"/>
	</messageSenderIdentification>
	<messageTrackingID>
		<InstanceIdentifier>
			<xsl:value-of select="concat(/rnif:DeliveryHeader/rnif:messageTrackingID/rnif:InstanceIdentifier,'_ack')"/>
		</InstanceIdentifier>
	</messageTrackingID>
</DeliveryHeader>
</xsl:template>
</xsl:stylesheet>
