<?xml version='1.0' encoding='utf-8' ?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xalan="http://xml.apache.org/xslt"
  xmlns:rnif="http://www.rosettanet.org/RNIF/V02.00"
  exclude-result-prefixes="rnif">

<xsl:output method="xml"
	indent="yes"
	xalan:indent-amount="3"
	encoding="utf-8"
	doctype-system="Exception_MS_V02_00.dtd"/>

<!-- Parameters -->
<xsl:param name="ExceptionCode"/>
<xsl:param name="ErrorDescription"/>
<xsl:param name="OffendingComponent"/>
<xsl:param name="ExceptionTypeCode"/>

<!-- Build the Receipt exception payload -->
<xsl:template match="/">
<Exception xmlns="http://www.rosettanet.org/RNIF/V02.00">
	<ExceptionDescription>
		<errorClassification>
			<GlobalMessageExceptionCode><xsl:value-of select="$ExceptionCode"/></GlobalMessageExceptionCode>
		</errorClassification>
		<errorDescription>
			<FreeFormText><xsl:value-of select="$ErrorDescription"/></FreeFormText>
		</errorDescription>
		<xsl:choose>
		<xsl:when test="$OffendingComponent!=''">
		<offendingMessageComponent>
		   <GlobalMessageComponentCode><xsl:value-of select="$OffendingComponent"/></GlobalMessageComponentCode>
		</offendingMessageComponent>
		</xsl:when>
		</xsl:choose>
	</ExceptionDescription>
	<GlobalExceptionTypeCode><xsl:value-of select="$ExceptionTypeCode"/></GlobalExceptionTypeCode>
</Exception>
</xsl:template>
</xsl:stylesheet>
