<?xml version='1.0' encoding='utf-8' ?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xalan="http://xml.apache.org/xslt"
  xmlns:rnif="http://www.rosettanet.org/RNIF/V02.00"
  exclude-result-prefixes="rnif">

<xsl:output method="xml"
	indent="yes"
	xalan:indent-amount="3"
	encoding="utf-8"
	doctype-system="ServiceHeader_MS_V02_00.dtd"/>

<!-- Parameters -->
<xsl:param name="OriginalMessageId"/>
<xsl:param name="SignalCode"/>

<!--Generate Acknowledgement XML-->
<xsl:template match="/">
<ServiceHeader xmlns="http://www.rosettanet.org/RNIF/V02.00">
	<ProcessControl>
		<ActivityControl>
			<xsl:copy-of select="/rnif:ServiceHeader/rnif:ProcessControl/rnif:ActivityControl/rnif:BusinessActivityIdentifier"/>
			<MessageControl>
				<fromRole>
					<xsl:copy-of select="/rnif:ServiceHeader/rnif:ProcessControl/rnif:ActivityControl/rnif:MessageControl/rnif:toRole/rnif:GlobalPartnerRoleClassificationCode"/>
				</fromRole>
				<fromService>
					<xsl:copy-of select="/rnif:ServiceHeader/rnif:ProcessControl/rnif:ActivityControl/rnif:MessageControl/rnif:toService/rnif:GlobalBusinessServiceCode"/>
				</fromService>
				<inReplyTo>
					<ActionControl>
						<xsl:copy-of select="/rnif:ServiceHeader/rnif:ProcessControl/rnif:ActivityControl/rnif:MessageControl/rnif:Manifest/rnif:ServiceContentControl/rnif:ActionIdentity"/>
						<messageTrackingID>
							<InstanceIdentifier>
								<xsl:value-of select="$OriginalMessageId"/>
							</InstanceIdentifier>
						</messageTrackingID>
					</ActionControl>
				</inReplyTo>
				<Manifest>
					<numberOfAttachments>
					   <CountableAmount>0</CountableAmount>
					</numberOfAttachments>
					<ServiceContentControl>
						<SignalIdentity>
							<GlobalBusinessSignalCode><xsl:value-of select="$SignalCode"/></GlobalBusinessSignalCode>
							<VersionIdentifier>V02.00</VersionIdentifier>
						</SignalIdentity>
					</ServiceContentControl>
				</Manifest>
				<toRole>
					<xsl:copy-of select="/rnif:ServiceHeader/rnif:ProcessControl/rnif:ActivityControl/rnif:MessageControl/rnif:fromRole/rnif:GlobalPartnerRoleClassificationCode"/>
				</toRole>
				<toService>
					<xsl:copy-of select="/rnif:ServiceHeader/rnif:ProcessControl/rnif:ActivityControl/rnif:MessageControl/rnif:fromService/rnif:GlobalBusinessServiceCode"/>
				</toService>
			</MessageControl>
		</ActivityControl>
		<xsl:copy-of select="/rnif:ServiceHeader/rnif:ProcessControl/rnif:GlobalUsageCode"/>
		<xsl:copy-of select="/rnif:ServiceHeader/rnif:ProcessControl/rnif:partnerDefinedPIPPayloadBindingId"/>
		<xsl:copy-of select="/rnif:ServiceHeader/rnif:ProcessControl/rnif:pipCode"/>
		<xsl:copy-of select="/rnif:ServiceHeader/rnif:ProcessControl/rnif:pipInstanceId"/>
		<xsl:copy-of select="/rnif:ServiceHeader/rnif:ProcessControl/rnif:pipVersion"/>
		<xsl:copy-of select="/rnif:ServiceHeader/rnif:ProcessControl/rnif:KnownInitiatingPartner"/>
	</ProcessControl>
</ServiceHeader>
</xsl:template>
</xsl:stylesheet>
